import { C as i } from "./4963ac97.js";
import { ColumnValueTooltip as m } from "./62f393ec.js";
import { F as l, a6 as s, G as u, Y as p, cb as c, c7 as r, S as e, w as f } from "./603b75d9.js";
import { formatDate as a, DateEdit as h } from "./11b05d65.js";
import "react";
import "./ffcffc16.js";
import "react-dom";
import "./26dac75c.js";
const C = {
  text: e,
  format: f(e, r)
}, o = (t) => t.text, F = function() {
  return new i(C, (t, d) => {
    const n = t.changeValue ?? o(t);
    return a(n, t.format);
  }, (t) => a(t.text.value, t.format.value), o).setEditViewFn((t) => /* @__PURE__ */ l(h, {
    value: t.value,
    onChange: t.onChange,
    onChangeEnd: t.onChangeEnd,
    showTime: !0
  })).setPropertyViewFn((t) => /* @__PURE__ */ s(u, {
    children: [t.text.propertyView({
      label: p("table.columnValue"),
      tooltip: m
    }), c({
      children: t,
      placeholder: r
    })]
  })).build();
}();
export {
  F as DateTimeComp
};
